Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class JboMandatoryAttributesValidator

`java.lang.Object
oracle.jbo.rules.JboNonNullValidator
oracle.jbo.server.JboMandatoryAttributesValidator`

All Implemented Interfaces:
  JboValidatorInterface

public class JboMandatoryAttributesValidator
extends JboNonNullValidator

Implements non-null validation for mandatory attributes. This validation rule is applied by the framework to an Entity Object that has the mandatory flag set for any of its an attributes. The method `isMandatory()` identifies manditory attributes.

This validator is invoked by an Entity Objects's `validate()` method to confirm that its mandatory attributes are non-null. If any attribute is `null`, `AttrValException` is thrown. The framework does not perform this validation when an attribute value is changed, but only when its Enitity Object is validated.

Since:
  JDeveloper 3.0
See Also:
  `Entity`, `EntityDefImpl`

Field Summary

Fields inherited from class oracle.jbo.rules.JboNonNullValidator
`mandatoryAttrs, mDescription`

Constructor Summary
`JboMandatoryAttributesValidator(com.sun.java.util.collections.ArrayList al)` Creates a default validator.

Method Summary
`void` | `validate(JboValidatorContext evObj)` Validates the Entity Object's mandatory attributes.

Methods inherited from class oracle.jbo.rules.JboNonNullValidator
`getDescription, setDescription, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JboMandatoryAttributesValidator

    public JboMandatoryAttributesValidator(com.sun.java.util.collections.ArrayList al)

  Creates a default validator.

Method Detail

### validate

    public void validate(JboValidatorContext evObj)

  Validates the Entity Object's mandatory attributes.
  Specified by:
    `validate` in interface `JboValidatorInterface`
  Overrides:
    `validate` in class `JboNonNullValidator`
  Parameters:
    `evObj` - an event indicating the attributes to be validatated.
  Throws:
    `JboException` - if any attributes are found to be `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.